Bug 1010608 - Cannot run 0ad with optimus nvidia hardware using bumblebee
Cannot run 0ad with optimus nvidia hardware using bumblebee
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 0ad (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 21:42 EDT by Ankur Sinha (FranciscoD)
Modified: 2015-06-29 08:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:25:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-09-21 21:42:53 EDT
Description of problem:
I installed bumblebee to be able to use my nvidia optimus hardware. 0ad doesn't run with it. 

Version-Release number of selected component (if applicable):
0ad-0.0.14-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Install bumblebee-nonfree as detailed here[1]
2.run optirun 0ad
3.

Actual results:
Fails to run

Expected results:
Should run normally

Additional info:
This is already discussed at the bumblebee bugtracker, and was fixed for arch. It appears to be an issue with the package, rather than the game. 

Please look at:
https://github.com/Bumblebee-Project/Bumblebee/issues/374
https://bugs.archlinux.org/task/34639

[1]https://fedoraproject.org/wiki/Bumblebee

It shouldn't be too much work to fix the package. It'll let us optimus users to play the game way better :)

Thanks,
Warm regards,
Ankur
Comment 1 Paulo Andrade 2013-09-23 00:03:47 EDT
At first, just as an ack...
If you have any patches it would help a lot. Better yet if
you submit it to upstream, e.g. http://trac.wildfiregames.com/
But just reporting this issue to upstream should get more
attention and hopefully the benefit of getting it to work on
other distributions.
Comment 2 Ankur Sinha (FranciscoD) 2013-09-26 04:54:04 EDT
Based on the bug report for arch[1], this is the fix[2]. However, our spec already defines a different libdir, so I'm not sure why it isn't working any more :/

[1] https://bugs.archlinux.org/task/34639

[2] https://projects.archlinux.org/svntogit/community.git/commit/trunk?h=packages/0ad&id=39c3b84df923205938064c6d47974517e72816a5

We'll need to re-analyse what's causing the issue before moving forward. I'll see if I can come up with anything. 

Thanks,
Ankur
Comment 3 Paulo Andrade 2013-09-26 14:50:17 EDT
Can you post console output or error messages?

Note that to "properly" debug 0ad with gdb it may not be
enough to install the debuginfo package. But it should only
take a few minutes on an i5 computer to regenerate the
package changing the "with_debug" macro from 0 to 1.
Comment 4 Fedora End Of Life 2015-05-29 05:26:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:25:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.